FLTK 1.3.2

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Fl_Cairo_State Class Reference
Cairo support functions and classes

Contains all the necessary info on the current cairo context. More...

`#include <Fl_Cairo.H>`

## Public Member Functions
bool | autolink () const
| Gets the autolink option. See Fl::cairo_autolink_context(bool)
void | autolink (bool b)
| Sets the autolink option, only available with –enable-cairoext.
cairo_t * | cc () const
| Gets the current cairo context.
void | cc (cairo_t *c, bool own=true)
| Sets the current cairo context, `own` indicates cc deletion is handle externally by user.
void | gc (void *c)
| Sets the gc `c` to keep track on.
void * | gc () const
| Gets the last gc attached to a cc.
void | window (void *w)
| Sets the window `w` to keep track on.
void * | window () const
| Gets the last window attached to a cc.

## Detailed Description

Contains all the necessary info on the current cairo context.

A private internal & unique corresponding object is created to permit cairo context state handling while keeping it opaque. For internal use only.

Note
  Only available when configure has the –enable-cairo option

The documentation for this class was generated from the following files:

- Fl_Cairo.H
- Fl_Cairo.cxx

- © 1998-2012 by Bill Spitzak and others.